import request from '@/utils/request'

// 预订单购物详情表列表
export function apiBeforehandOrderCartInfoLists(params: any) {
    return request.get({ url: '/beforehand_order_cart_info/beforehandordercartinfo/lists', params })
}

// 添加预订单购物详情表
export function apiBeforehandOrderCartInfoAdd(params: any) {
    return request.post({ url: '/beforehand_order_cart_info/beforehandordercartinfo/add', params })
}

// 编辑预订单购物详情表
export function apiBeforehandOrderCartInfoEdit(params: any) {
    return request.post({ url: '/beforehand_order_cart_info/beforehandordercartinfo/edit', params })
}
export function apiBeforehandOrderCartInfoAppendAdd(params: any) {
    return request.post({
        url: '/beforehand_order_cart_info/beforehandordercartinfo/append_add',
        params
    })
}

// 删除预订单购物详情表
export function apiBeforehandOrderCartInfoDelete(params: any) {
    return request.post({
        url: '/beforehand_order_cart_info/beforehandordercartinfo/delete',
        params
    })
}
// 编辑预订单购物详情无需采购
export function apiBeforehandOrderCartInfoProcurementStatus(params: any) {
    return request.post({
        url: '/beforehand_order_cart_info/beforehandordercartinfo/procurement_status',
        params
    })
}
// 一键入库
export function apiBeforehandOrderCartInfoOneClickStorage(params: any) {
    return request.post({
        url: '/beforehand_order_cart_info/beforehandordercartinfo/one_click_storage',
        params
    })
}

// 预订单购物详情表详情
export function apiBeforehandOrderCartInfoDetail(params: any) {
    return request.get({
        url: '/beforehand_order_cart_info/beforehandordercartinfo/detail',
        params
    })
}
